Home | History | Annotate | Download | only in regress
      1 #	$OpenBSD: stderr-data.sh,v 1.2 2002/03/27 22:39:52 markus Exp $
      2 #	Placed in the Public Domain.
      3 
      4 tid="stderr data transfer"
      5 
      6 DATA=/bin/ls${EXEEXT}
      7 COPY=${OBJ}/copy
      8 rm -f ${COPY}
      9 
     10 for n in '' -n; do
     11 for p in 1 2; do
     12 	verbose "test $tid: proto $p ($n)"
     13 	${SSH} $n -$p -F $OBJ/ssh_proxy otherhost \
     14 		exec sh -c \'"exec > /dev/null; sleep 3; cat ${DATA} 1>&2 $s"\' \
     15 		2> ${COPY}
     16 	r=$?
     17 	if [ $r -ne 0 ]; then
     18 		fail "ssh failed with exit code $r"
     19 	fi
     20 	cmp ${DATA} ${COPY}	|| fail "stderr corrupt"
     21 	rm -f ${COPY}
     22 
     23 	${SSH} $n -$p -F $OBJ/ssh_proxy otherhost \
     24 		exec sh -c \'"echo a; exec > /dev/null; sleep 3; cat ${DATA} 1>&2 $s"\' \
     25 		> /dev/null 2> ${COPY}
     26 	r=$?
     27 	if [ $r -ne 0 ]; then
     28 		fail "ssh failed with exit code $r"
     29 	fi
     30 	cmp ${DATA} ${COPY}	|| fail "stderr corrupt"
     31 	rm -f ${COPY}
     32 done
     33 done
     34